0.243 2022-04-29
----------------


MAME Testers bugs fixed
-----------------------
- 05533: [Crash/Freeze] (rastersp.cpp) fbcrazy: Fatal error about eight seconds after starting system. (Paul-Arnold)
- 07568: [Crash/Freeze] (seattle.cpp) hyprdriv: Emulated game freezes while music continues to play. (Ted Green)
- 07823: [DIP/Input] (vegas.cpp) nbanfl, nbagold: Watchdog reset when switching between test menus. (Ted Green)
- 08064: [Graphics] (vegas.cpp) gauntleg, gauntleg12, gauntdl, gauntdl24: Screen tearing and inconsistent frame rate. (Ted Green)
- 08203: [Graphics] (metro.cpp) karatour, karatourj, ladykill, 3kokushi: Graphics and speed issues. (Angelo Salese)
- 08240: [Interface] (apple2gs.cpp) apple2gs: Game I/O joystick input is glitchy. (R. Belmont)
- 08270: [Documentation] (generalplus_gpl16250_nand.cpp) jak_gtg: Release year can be confirmed. (geforcefly)
- 08274: [DIP/Input] (astrocde.cpp) spacezap: Identified DIP switch setting number of lives. (Steven Coomber)
- 08276: [DIP/Input] (ddragon.cpp) ddragon2, ddragon2j: Mission timer DIP switch settings are labelled incorrectly. (Augusto)
- 08280: [DIP/Input] (galaxian.cpp) thepitm: Identified coinage, game speed and game time DIP switch settings. (Steven Coomber)
- 08283: [DIP/Input] (galaxold.cpp) bullsdrtg: Identified coinage, award and cabinet type inputs. (Steven Coomber)
- 08284: [DIP/Input] (wink.cpp) wink, winka: Identified coinage, award and audit clear DIP switch settings. (Steven Coomber)
- 08285: [DIP/Input] (galaxold.cpp) trvchlng: Identified coinage, bonus and attract mode DIP switch settings. (Steven Coomber)
- 08286: [DIP/Input] (galaxian.cpp) takeoff: Lives, bonus life and service mode DIP switch settings are incorrect. (Steve Coomber)
- 08289: [Sound] (looping.cpp) looping: Most sounds do not play. (AJR)
- 08293: [Graphics] (apple2e.cpp) apple2ee: Bad colors after switching from double high resolution to high resolution. (R. Belmont)
- 08294: [Crash/Freeze] (nmk16.cpp) mustangb3: Emulator crashes about 25 seconds after starting system. (Ivan Vangelista)
- 08297: [Crash/Freeze] (suna16.cpp) sunaq: Emulator crashes after answering a question. (Ivan Vangelista)
- 08298: [Documentation] (vegas.cpp) warfa, warfaa, warfab, warfac: Game title is incorrect. (mmarino4)


New working machines
--------------------
Bowmen [Roberto Fresca, Mirko Buffoni, Daniel Carmona, Museoarcadevintage.com, Recreativas.org]
Cal Omega - Game 17.0 (Amusement Poker) [Roberto Fresca, Justin DeLutis]
Le Pendu (Bilingue, Version 04) [Roberto Fresca, Grull Osgo, Jeff Hamelin]
Rockwell 10R (Rockwell) [hap, Sean Riddle]
Rockwell 12R: Square Root [hap, Sean Riddle]
Rockwell 24K (Rockwell) [hap, Sean Riddle]
Rockwell 30R: Slide Rule Memory (B5500 version) [hap, Sean Riddle]
Le Super Pendu (V1, words set #1) [Roberto Fresca, Grull Osgo, Jeff Hamelin]
Le Super Pendu (V1, words set #2) [Roberto Fresca, Grull Osgo, Jeff Hamelin]


New working clones
------------------
Blood Storm (v2.21) [coolmod]
Densha de GO! (Ver 2.3 J) [andynumbers]
Finger (bootleg of Stinger) [Kalu666]
Galaxian (Artic System bootleg) [chaneman]
Golden Poker Double Up (bootleg, set 3) [Roberto Fresca, Jeff Hamelin]
Golden Poker Double Up (bootleg, set 4) [Roberto Fresca, Jeff Hamelin]
Hard Drivin' (compact, rev 2 bootleg) [Andrew Welburn]
Novag Super Expert (version C, v1.2) [anonymous]
Rockwell 31R: Slide Rule Memory [hap, Sean Riddle]
Street Fighter III 2nd Impact: Giant Attack (Hispanic 970930) [Darksoft]


Machines promoted to working
----------------------------
Amstrad plc NC200 [Robbbert]
Football Crazy (Video Quiz) [Paul-Arnold]
Lexicon LK-3000 [hap]


New machines marked as NOT_WORKING
----------------------------------
Actronics / Hanzawa Wanted G-Man [hap, Kevin Horton]
Bandai Go Go Dynaman [hap, Kevin Horton, Rik]
Bandai Kiteyo Parman [hap, Kevin Horton, Rik]
Bandai Toukon Juohmaru [hap, Kevin Horton, Rik]
Defender (Gakken) [hap, Kevin Horton, Rik]
Flying Fortress [TTL] [Seth Soffer, Andrew Welburn]
Horses For Courses (NSW, Australia) [Brock.M]
Intel iSBC 660 [Patrick Mackinlay]
Long Hu Tebie Ban (V101CN) [IGSPGM.COM]
Maxi Double Poker (version 1.8) [Roberto Fresca, Jeff Hamelin]
Photo Play 2002 (Belgium) [Asure]
The Quest (NSW, Australia) [Brock.M]
Romtec Pucki & Monsters [hap, Kevin Horton, Rik]
Sport Damjes 1 [Sergio de electronicaVyS, ClawGrip]
Super 97 (Ver. 1.00) [Ioannis Bampoulas]
Tomy Bombman [hap, Kevin Horton, Rik]
unknown darts game (487 System I) [Victor Fernandez (City Game)]
Waldorf Electronics MiniWorks 4-Pole [DBWBP]


New clones marked as NOT_WORKING
--------------------------------
Bad Lands (Modular System) [Eduardo Anay, ClawGrip]
Dragon Ninja (Modular System) [Eduardo Anay, ClawGrip]
Golden Poker Double Up (bootleg, set 2) [Roberto Fresca, Jeff Hamelin]
Multi Win (EPM7032, encrypted) [Ioannis Bampoulas, Roberto Fresca]
Multi Win (Ver.0091, encrypted) [TeamEurope, Roberto Fresca]
Photo Play 1999 (Netherlands) [Asure]
Photo Play 2000 (Netherlands) [Asure]
Photo Play 2001 (Netherlands) [Asure]
Photo Play Masters 2001 (Netherlands) [Asure]
Slap Fight (Modular System) [Eduardo Anay, ClawGrip]
Indoor Soccer (Tecfri license PCB) [Eduardo Anay, ClawGrip]


New working software list additions
-----------------------------------
a800:
  Popeye (prototype, 19830829) [Dutchman2000]
  Popeye (prototype, WIP8) [Tempest]
a800_flop: Pondering About Max's [A8SP]
apple2_flop_clcracked:
  Cubes, Prisms, and Cylinders (cleanly cracked), Descending/Ascending Intervals (cleanly cracked),
  Early Music Skills (cleanly cracked), Functional Harmony: Secondary Dominants (cleanly cracked),
  Geography Search (cleanly cracked), Keyboard Arpeggios (cleanly cracked), Keyboard Blues (cleanly cracked),
  Keyboard Chords (cleanly cracked), Keyboard Extended Jazz Harmonies (cleanly cracked), Keyboard Fingerings (cleanly cracked),
  Keyboard Intervals (cleanly cracked), Keyboard Jazz Harmonies (cleanly cracked), Keyboard Note Drill (cleanly cracked),
  Keyboard Speed Reading (cleanly cracked), Measuring Economic Activity (cleanly cracked),
  Media Magic: The Melody Studio (cleanly cracked), Melodic Dictation: Beginning Level (cleanly cracked),
  Melodic Dictation: Intermediate Level (cleanly cracked), Music Composer Quiz (cleanly cracked),
  Music Terminology (cleanly cracked), Musical Stairs (cleanly cracked), Note Detective II: Intermediate Level (cleanly cracked),
  On Target: 3000 Words of German (cleanly cracked), Tap-It (cleanly cracked), Time Explorers (cleanly cracked),
  Volcanoes (cleanly cracked), Zoo Puppet Theater (cleanly cracked) [4am, Firehawke]
apple2_flop_orig:
  Back It Up (Version 3.6), Bouncing Kamungas!, Columns //e (Version 2.01), Copy II Plus (Version 3.1), Copy II Plus (Version 4.1),
  Copy II Plus (Version 4.3), Copy II Plus (Version 4.4B), Copy II Plus (Version 4.4C), Copy II Plus (Version 4.4D),
  Copy II Plus (Version 5.0), Copy II Plus (Version 5.1), Copy II Plus (Version 5.2), Copy II Plus (Version 5.4),
  Copy II Plus (Version 5.5), Copy II Plus (Version 6.0), Copy II Plus (Version 6.1), Copy II Plus (Version 6.2),
  Copy II Plus (Version 6.3), Copy II Plus (Version 6.4), Copy II Plus (Version 6.5), Copy II Plus (Version 6.6),
  Copy II Plus (Version 7.1), Copy II Plus (Version 7.2), Copy II Plus (Version 7.3), Copy II Plus (Version 7.4),
  Copy II Plus (Version 8.1), Copy II Plus (Version 8.1) (800K 3.5"), Copy II Plus (Version 8.2),
  Copy II Plus (Version 8.2) (800K 3.5"), Copy II Plus (Version 8.3), Copy II Plus (Version 8.3) (800K 3.5"),
  Copy II Plus (Version 8.4), Copy II Plus (Version 8.4) (800K 3.5"), Copy II Plus (Version 9.0),
  Copy II Plus (Version 9.0) (800K 3.5"), Copy II Plus (Version 9.1), Copy II Plus (Version 9.1) (800K 3.5"),
  Essential Data Duplicator (Version 3.0-1984-02-06), Essential Data Duplicator (Version 3.0-1984-05-25), Grey Seas, Grey Skies,
  Hands-On Math! Volume I (800K 3.5"), Kraking by The Disk Jockey, Locksmith (Version 5.0 Revision C),
  Locksmith (Version 5.0 Revision F), Locksmith (Version 5.0 Revision G), Locksmith (Version 6.0 Revision A),
  Locksmith (Version 6.0 Revision B), Pig Pen, Ricochet, Science Corner: Planet Earth (800K 3.5"), Super Disk Copy (Version 3.6),
  Wizardry: Proving Grounds of the Mad Overload (Version 01-DEC-81),
  Wizardry: Proving Grounds of the Mad Overload (Version 05-SEP-81), World Class Leader Board [4am, Firehawke]
gamegear: Poker Face Paul's Cribbage (prototype) [smspower]
ibm5170:
  Red Baron (EGA 16 colors version), Red Baron (VGA 256 colors version), Red Baron: Mission Builder,
  SimCity Classic (Windows 3.x release) (3.5"), SimCity Classic (Windows 3.x release) (5.25") [ibmpc5150, archive.org]
  Pyrotechnica, Return of the Phantom, SimLife (Windows 3.x release) [The Good Old Days]
nes:
  1995 New Series Super 2 in 1 (Asia), AO, Beat'Em & Eat'Em, Dì Shìtiān (China), Dúshlán,
  King Gizzard & the Lizard Wizard - Polygondwanaland - 2nd Edition, Little Lancelot (USA), NES Virus Cleaner, Pyramids of Ra (USA),
  Solaris, Tic-Tac XO [anonymous]
  8 in 1 (0801), 1993 New 860 in 1 Over-Valued Golden Version Games, 1993 Super HiK 4 in 1 (F-034), Chāozhí Gāo K Jīnkǎ 110 in 1,
  Gàishì 190 in 1, Golden 8 in 1, Super HiK 42 in 1 (K-42001), Wúmíng Chuánshuō (China) [Consolethinks]
  Chǒngwù Bǎobǎo (China), Jiànxiá Qíngyuán (China, Final Fantasy pirate), Qítiān Dàshèng (China) [famiac, NewRisingSun]
  Mike Tyson's Intergalactic Power Punch (USA, prototype, hacked) [Hidden Palace]
  Golden Game: 210 in 1 [kmg]
  1500 in 1, Toobin' (Korea) [MLX]
  Assimilate [Nessylum]
  L'Abbaye des Morts [Parisoft]
  76 in 1 Y2K [superretrogamer2741]
  Tiějiǎ Tújí (China), Xīnghé Zhànduì (China) [ZDog]
  Metal Max (Japan, prototype) [Zoda-Y13, Forest of Illusion]
sms:
  Basket Ball Nightmare (early prototype), Golden Axe CES Demo, Psycho Fox (prototype), Super Futebol II (Brazil),
  Wimbledon (Brazil) [smspower]
spectrum_cass:
  La Quête du Chevalier [Miguel Sobreira, Planeta Sinclair]
  The 11th Hour (The Guild), Brave Knight, Cobra (Erbe, medium case), Cobra (Erbe, small case), Cobra (IBSA),
  Dragon's Lair II: Escape from Singe's Castle (Erbe), Popeye (Zafi Chip), Raid Over Moscow (set 6, Dro Soft),
  Rygar (Erbe, promotional), Super Cycle (Compulogical) [spectrumcomputing.co.uk]
  3D Dracman, 4 Logiciels pour ZX Spectrum, Battle on Hoth (alt), Bell Ropes, A Harvesting Moon (two sides)
  [Steven Brown, Planeta Sinclair]


Software list items promoted to working
---------------------------------------
fm7_cass: Portopia Renzoku Satsujin Jiken [r09]
lk3000: English-German [hap]
nes:
  7 in 1, Chéngjísīhán (China), Dàtáng Fēngyún VI Dài (China), Fēngsè Huànxiǎng (China), Golden Game: 150 in 1,
  Golden Game: 260 in 1, Jiànxiá Qíngyuán (China), Kǒudài Guàishòu - Fěicuì Bǎn (China), Shènghuǒ Huīzhāng - Suǒfēiyà Fùsū (China),
  Shènghuǒ Huīzhāng - Suǒfēiyà Fùsū (China, alt), Shènghuǒ Huīzhāng - Suǒfēiyà Fùsū (China, fixed?),
  Shènghuǒ Huīzhāng II Dài (China), Shènghuǒ Huīzhāng II Dài (China, alt), Shènghuǒ Huīzhāng Wàizhuàn (China), Shénmó Dàlù (China),
  Tāngmǔ Lìxiǎn Jì (China), Tenchi wo Kurau II - Shokatsu Koumei Den (China), Tenchi wo Kurau II - Shokatsu Koumei Den (China, alt),
  Tūnshí Tiāndì II (China), Tūnshí Tiāndì II (China, alt), Tūnshí Tiāndì II (China, alt 2), Tūnshí Tiāndì III (China),
  Yǒngzhě Hēi'àn Shìjiè - Hùndùn De Shìjiè (China), Zhànshén Shìjiè (China), Zhēntián Shí Yǒngshì (China) [kmg]
pc8801_flop:
  Angels - Celica Crisis, Blue Blood Music Disk Vol. 7 - Gradius Special, Cone Paper Vibration Data Shuu Dai-1-kan,
  Cone Paper Vibration Data Shuu Dai-2-kan, Cone Paper Vibration Data Shuu Dai-3-kan, Dragon, Jesus, Jesus (alt), Nazo Demo 3,
  Sorcerian Music Library, Sugoroku Yakyuu-dou [Angelo Salese]
pc98: Brandish Renewal [r09]
pc98_cd: Brandish Renewal [r09]


New NOT_WORKING software list additions
---------------------------------------
nes: Skull & Crossbones (Korea) [MLX]
pc8801_cdrom: CD Takarabako [r09]
roland_tnsc1:
  50's and 60's (TN-SC1-02), Around the World 2 (TN-SC1-05), Latin (TN-SC1-07), Piano Bar (TN-SC1-06) [Sean Riddle, ClawGrip]
sms: Game Mo-eumjip 188 Hap (Korea) [smspower]


Translations added or modified
------------------------------
Chinese (Simplified) [kongmao45678]
Ukrainian [Stanley Kid]


Merged pull requests
--------------------
- 9100: Added Ukrainian UI translation. [Stanley Kid, Vas Crabb]
- 9105: audio/cage.cpp: Added partial support for multi-channel sound output. [cam900]
- 9114: bus/rs232/xvd701.cpp, twinkle.cpp: Implemented commands required for Konami Twinkle DVD player. [Windy Fairy]
- 9149: 8080bw.cpp, mw8080bw.cpp: Added some configuration inputs, and improved metadata. [einstein95]
- 9377: frontend: Added an option to not show media device status to the UI manager. [Nathan Woods]
- 9383: rastersp.cpp: Added support for the Football Crazy game. [Paul-Arnold]
- 9405: formats/fs_coco_rsdos.cpp: Added support for formatting disks. [Nathan Woods]
- 9423: alpha68k_n.cpp: Corrected comments and clocks for kyros. [negunma]
- 9434: formats/fs_coco_os9.cpp: Added support for formatting standard geometry disks. [Nathan Woods]
- 9462: gticlub.cpp: Added subtitle to game descriptions. [Michael Sanborn]
- 9469: raiden_ms.cpp: Updated comments. [ClawGrip]
- 9475: timetrv.cpp: Corrected artwork aspect ratio. [Ryan Holtz]
- 9476: timetrv.cpp: Hooked up 1-bit audio DAC. [Ryan Holtz]
- 9477: timetrv.cpp: Removed stray debugging printf. [Ryan Holtz]
- 9478: bloodbro_ms.cpp: Corrected a comment about ROM connections. [ClawGrip]
- 9480: gamegear.xml: Added an unreleased prototype. [smspower, kmg]
- 9481: sms.xml: Added six dumps (five working). [smspower, kmg]
- 9482: seta.cpp: Corrected bonus life DIP switch settings for daiohp2. [Sergio Galiano]
- 9483: machine/ldv4200hle.cpp: Fixed overshoot issues with multi-speed forward/reverse affecting Time Traveler. [Ryan Holtz]
- 9484: nes.xml: Removed bad dump flags from ROM dumps that have been verified. [kmg]
- 9486: astrocde.cpp: Added lives DIP switch settings for spacezap (MT08274). [Steven Coomber]
- 9487: photoply.cpp: Added five Photo Play games from Netherlands and Belgium. [Asure, ClawGrip]
- 9488: bus/nes, bus/nes_ctrl: Cleaned up code, mostly relating to bit field manipulation. [kmg]
- 9489: apple2_flop_clcracked.xml, apple2_flop_orig.xml: Added latest dumps and cracks. [4am, Firehawke]
- 9490: nes.xml: Replaced/removed some truncated ROM dumps as appropriate. [kmg]
- 9492: m92.cpp: Only use banked palette on systems with ROM banking (MT03289). [David Haywood]
- 9493: vendetta.cpp: Added brute-forced equivalent PLDs images for Vendetta and clones. [Buenrip, Recreativas.org, ClawGrip]
- 9494: fmtowns_flop_orig.xml, pc98.xml, pc98_cd.xml: Fixed disks that had been incorrectly converted to HxC MFM format. [r09]
- 9495: neogeo.cpp, neogeo.xml: Corrected release year for Matrimelee. [CanoeHope]
- 9496: roland_tnsc1.xml: Added dumps of four Roland Music Style Cards. [Sean Riddle, ClawGrip]
- 9497: ddragon.cpp: Corrected timer DIP switch setting labels for ddragon2 (MT08276). [Steven Coomber]
- 9498: bus/nes: Added support for games using K-3071, S-009, and TH2348 boards. [kmg]
- 9499: slapfght.cpp: Adjusted visible area. [sjy96525]
- 9500: coco12.cpp, coco3.cpp: Increased range of high resolution joystick axis inputs. [Tim Lindner]
- 9502: bus/nes: Improved emulation of Game Genie cheat device. [kmg]
- 9504: nes.xml: Added a recent chiptune cartridge dump. [kmg]
- 9505: x68k_flop.xml, fmtowns_cd.xml, pc98.xml, msx2_flop.xml, pc8801_flop.xml, pcecd.xml: Standardised De·Ja titles. [einstein95]
- 9507: imagedev.floppy.cpp: Set dirty flag on image initialization. [Nathan Woods]
- 9508: spectrum_cass.xml: Added sixteen working items, replaced six items with better dumps, and improved metadata. [ArcadeShadow]
- 9509: bus/sega8: Added partial support for a recently dumped 188 in 1 multi-game cartridge. [kmg]
- 9510: formats/fsmeta.cpp: Converted to_string to a more intuitive instance member function. [Nathan Woods]
- 9511: nus/nes: Improved and consolidated Golden Game multi-game cartridge emulation. [kmg]
- 9512: galaxold.cpp: Identified three inputs for bullsdrtg (MT08283). [Steven Coomber]
- 9514: bus/nes_ctrl: Updated Arkanoid paddle controller to return ninth (least significant) position bit. [kmg]
- 9515: bus/nes_ctrl: Cleaned up class member accessibility in all headers. [kmg]
- 9516: bus/nes: Removed redundant device_start and pcb_reset implementations. [kmg]
- 9517: galaxian.cpp: Identified three DIP switches for thepitm (MT08280). [Steven Coomber]
- 9518: thepit.cpp: Corrected coinage DIP switch setting labels for thepit (MT08280). [Steven Coomber]
- 9519: video/m92.cpp: Initialize a few members on start. [David Haywood]
- 9520: bus/nes: Cleaned up BMC_12IN1 cartridge emulation. [kmg]
- 9521: neogeo.xml: Corrected release years for kof97 and kof97h. [CanoeHope]
- 9523: bus/nes: Cleaned up and simplified implementation for several Kaiser boards. [kmg]
- 9525: bus/nes: Added support for DS-9-27 multi-game cartridge board. [kmg]
- 9526: slapfght.cpp: Reverted changes to visible area (GitHub #9499). [R. Belmont]
- 9527: wink.cpp: Identified several DIP switches for wink and winka (MT08284). [Steven Coomber]
- 9528: nes.xml: Added seven miscellaneous working items. [kmg]
- 9529: a800.xml: Added two Popeye prototypes. [Dutchman2000, Tempest, kmg]
- 9531: spdamjes.cpp: Added skeleton driver for T-90 Sport Damjes 1 darts machine. [Sergio de electronicaVyS, ClawGrip]
- 9533: pc8801.cpp: Fixed many issues and refactored code to better align with current standards. [Angelo Salese]
- 9535: bus/nes: Improved emulation of Taito X1-017 boards, and corrected page order in associated program ROM dumps. [kmg]
- 9536: osd/strconv.cpp: Fixed conversion to Unicode for two-byte ANSI code pages on Windows. [Windy Fairy]
- 9537: galaxian.cpp: Corrected DIP switch labels for takeoff (MT08286). [Steven Coomber]
- 9538: nes.xml: Added six working homebrew cartridges. [kmg]
- 9539: cpu/8x300: Added cycle-accurate pin state output callbacks. [Luigi30]
- 9540: bus/nes: Added support for Sachen’s Zhōngguó Dàhēng cartridge. [kmg]
- 9541: fm8_cass.xml: Moved FM-8 cassettes that were previously in fm7_cass.xml to their own software list. [r09]
- 9542: imagedev/floppy.cpp: Consolidated filesystem info containers. [Nathan Woods]
- 9544: neogeo.xml: Corrected release years for moshougi and flipshot. [CanoeHope]
- 9545: krz2000.cpp: Got K2000 skeleton driver to boot and show its UI. [Peter Sobot]
- 9546: formats/fsmeta.cp: Made metadata value interface less error-prone. [Nathan Woods]
- 9547: nes.xml: Set correct board type for Qiwang Chinese Chess games. [kmg]
- 9548: cosmos_playc8f.cpp: Added ASCII layout diagram for SY-MUSIC01 PCB. [ClawGrip]
- 9549: video/imagetek_i4100.cpp, metro.cpp: Hooked up I4100 control outputs and improved interrupts (MT08203). [Angelo Salese]
- 9550: bus/nes: Simplified Sunsoft-4 board implementation. [kmg]
- 9552: bus/nes: Added support for KL-06 and 831128C boards. [kmg]
- 9553: formats/fsmeta.cpp: Added an accessor exposing the contained type as an enumerated value. [Nathan Woods]
- 9554: machine/k573dio.cpp, machine/k573fpga.cpp: Improved counters and status flags (addresses GitHub #8619). [Windy Fairy]
- 9556: pgm2.cpp: Improved some comments relating to Japanese games. [Misty De Méo]
- 9557: nes.xml: Removed a truncated Super 8 in 1 cartridge dump. [kmg]
- 9559: machine/gt64xxx.cpp: Improved interrupt logic and DMA timing (fixes MT07568). [Ted Green]
- 9560: cpu/mips3: Added a recompiler option to perform additional validation on hash jumps (fixes MT07823). [Ted Green]
- 9561: nes.xml: Removed duplicate entry linzexua. [kmg]
- 9562: fruitpc.cpp, paokaipc.cpp: Moved gogostrk to a separate driver. [Angelo Salese]
- 9564: ksys573.cpp: Updated file header comment. [Michael Sanborn]
- 9565: Updated simplified Chinese translation for auto-fire button name format. [kongmao45678]
- 9566: neogeo.xml: Fixed editing error in matrim AES serial. [CanoeHope]
- 9568: cinemat.cpp: Corrected title for Starhawk. [David Silva]
- 9569: bus/nes: Added support for Chinese translations of Genghis Khan, Square’s Tom Sawyer, and Tenchi wo Kurau II. [kmg]
- 9571: nes.xml: Removed bad dump mc_s8kfa. [kmg]
- 9573: galaxold.cpp: Identified four DIP switches for trvchlng (MT08285). [Steven Coomber]
- 9574: wink.cpp: Identified four DIP switches for wink and winka (MT08284). [Steven Coomber]
- 9575: bus/nes: Fixed emulation for Chinese Fire Emblem translations. [kmg]
- 9576: bus/nes: Simplified TQROM emulation; nes.xml: updated support status for a few games. [kmg]
- 9577: r2dtank.cpp: Corrected bonus life DIP switch setting labels (MT08250). [Steven Coomber]
- 9579: bus/nes: Cleaned up implementation for some MMC3 boards. [kmg]
- 9580: formats/fsmeta.cpp: Fixed construction from C strings. [Nathan Woods]
- 9582: ibm5170.xml: Added eight items, and replaced one item with a clean dump. [ArcadeShadow]
- 9583: pcecd.xml: Cleaned up metadata. [ArcadeShadow]
- 9584: vboy.xml: Cleaned up metadata. [ArcadeShadow]
- 9585: famicom_flop.xml: Cleaned up metadata. [ArcadeShadow]
- 9586: bus/nes: Improved support for cartridges using BMC-64IN1NR boards. [kmg]
- 9587: nes.xml: Added a new dump, and fixed the bad dump of tysonpoh. [kmg]
- 9588: formats/fs_coco_rsdos.cpp: Encapsulated implementation better. [Nathan Woods]
- 9589: formats/fs_coco_os9.cpp: Encapsulated implementation better. [Nathan Woods]
- 9591: nes.xml: Added some Chinese role-play games and a virtual pet game. [kmg]
- 9593: bus/nes, nes.xml: Cleaned up code and software metadata. [kmg]
- 9594: bus/nes: Improved emulation of Tengen boards, and removed a redundant cartridge type. [kmg]
- 9596: bus/nes: Cleaned up Irem board implementations. [kmg]
- 9598: nes.xml: Removed a duplicate Missile Tank dump. [kmg]
- 9599: a800_flop.xml: Added Pondering About Max's. [A8SP, kmg]
- 9600: spec128.cpp, spectrum.cpp: Corrected screen border size. [holub]
- 9601: model3.cpp, whitestar.cpp: Made punctuation in Jurassic Park game titles consistent. [Michael Sanborn]
- 9603: nes.xml: Updated support status, added notes, and corrected metadata for a number of items. [kmg]
- 9604: machine/z80scc.cpp: Added support for zero count interrupts (fixes MT08239). [Kelvin Sherlock]
- 9607: nes/bus: Cleaned up Taito board emulation code. [kmg]
- 9608: slapfght_ms.cpp: Corrected ROM labels. [ClawGrip]
- 9610: gaelco.cpp: Verified clocks for Big Karnak. [ClawGrip]
- 9611: bus/nes: Corrected NOCASH_NOCHR homebrew board emulation. [kmg]
- 9613: nes.xml: Set correct board types for several more Chinese role-play games. [kmg]


Source changes
--------------
-cobram3: fixed an assert in the debug build [Robbbert]

-timetrv: Fixed layout to not warp screen to non-4:3 aspect. [Ryan Holtz] (#9475) [MooglyGuy]

-osdhelper.h: Make a couple of overloads const [AJR]

-timetrv: Hooked up 1-bit audio DAC. [Ryan Holtz] (#9476) [MooglyGuy]
 * Co-authored-by: MooglyGuy <mog@home>

-Debugger feature improvements [AJR]
 * Add 'gbt' and 'gbf' debugger commands to step until a true or false conditional branch has been detected.
 * Update over 100 of the disassemblers in MAME to output a new STEP_COND flag for all conditional branches. Besides being used for
    execution of the new 'gbt' and 'gbf' commands, this flag also now helps the debugger 'out' command to properly handle
    conditional return instructions.
 * Remove STEP_OVER from many instructions that aren't actually subroutine calls (e.g. DJNZ on Z80). A 'gni' debugger command (go
    next instruction) has been added to accommodate some of the misuse.
 * Add instruction flag support to several more disassemblers that lacked them entirely (e.g. st62xx)
 * Don't pass over delay slots for debugging in ASAP core

-timetrv: Removed stray debugging printf. (#9477) [MooglyGuy]
 * Co-authored-by: MooglyGuy <mog@home>

-ccpudasm.cpp: Fix mistake in return statement (flagged by some versions of clang) [AJR]

-scudsp: Revert unwanted change [AJR]

-bloodbro_ms.cpp: Fix note (#9478) [ClawGrip]

-diverboy.cpp, exzisus.cpp: finders, other minor cleanups [Ivan Vangelista]

-various drivers: removed some custom GFX decodes in favor of the ones provided in emu/video/generic.cpp [Ivan Vangelista]

-b5000: rename base class to rw5000 [hap]

-rw5000: separate b6000 disasm from b5000, add a5000 disasm [hap]

-rw5000: add a5000/a5900 [hap]

-dsp56000: correct harmless typo [Patrick Mackinlay]

-clipper: clipper has two branch delay slots [Patrick Mackinlay]

New working machines
--------------------
24K (Rockwell) [hap, Sean Riddle]

-rw5000: add a5500 [hap]

-abc1600: Improve logging, use u8/u16. [Curt Coder]

New machines marked as NOT_WORKING
----------------------------------
Maxi Double Poker (version 1.8) [Roberto Fresca, Jeff Hamelin]

-rastersp.cpp: Added Football Crazy game. (#9383) [Paul-Arnold]
 * machine/53c7xx.cpp: DFE bit is not reset when status register is read.
 * cpu/i386: Fixed multiple issues with breakpoint emulation.
 * machine/bacta_datalogger.cpp: Prevent continuous transmission of 0xff.
 * machine/z80scc.cpp: Fixed incorrect setting of baud rate due to uninitialised variables.

New working machines
--------------------
Football Crazy (Video Quiz) [Paul-Arnold]

-cbasebal.cpp, vendetta.cpp: finders and other small cleanups [Ivan Vangelista]

New working machines
--------------------
31R (Rockwell) [hap, Sean Riddle]

New working clones
------------------
Golden Poker Double Up (bootleg, set 2) [Roberto Fresca, Jeff Hamelin]
Golden Poker Double Up (bootleg, set 3) [Roberto Fresca, Jeff Hamelin]
Golden Poker Double Up (bootleg, set 4) [Roberto Fresca, Jeff Hamelin]

-hh_rw5000: remove sqr, pow2, arrows from strings [hap]

-ldv4200hle: Fixed overshoot issue with Multi-Speed Forward/Reverse. [Ryan Holtz] (#9483) [MooglyGuy]
 * Co-authored-by: MooglyGuy <mog@home>

-nes.xml: Removed some baddump flags. (#9484) [0kmg]

-daiohp2: incorrect bonus life DSW options (#9482) [Sergio G]
 * daiohp2 bonus life DSW options in this set are similar to the final release, and different than the other prototype set (daiohp).
    Now fixed.

-sms.xml: Added six dumps. (#9481) [0kmg]

New working software list additions
-----------------------------------
Basket Ball Nightmare (early prototype) [smspower]
Golden Axe CES Demo [smspower]
Psycho Fox (prototype) [smspower]
Super Futebol II (Brazil) [smspower]
Wimbledon (Brazil) [smspower]

New NOT_WORKING software list additions
---------------------------------------
Game Mo-eumjip 188 Hap (Korea) [smspower]

-gamegear.xml: Added an unreleased prototype. (#9480) [0kmg]

New working software list additions
-----------------------------------
Poker Face Paul's Cribbage (prototype) [smspower]

-init vars for coverity (drivers) [Robbbert]

-init vars for coverity (includes) [Robbbert]

-init vars for coverity (mame/machine/3-m) [Robbbert]

-init vars for coverity (mame/machine/m-z) [Robbbert]

-abc1600: Implement RAM parity test bit. [Curt Coder]

-init vars for coverity (mame/video/a-m) [Robbbert]

-Doc and notes about the new Golden Poker clones. Demoted goldnpkd to not working since always give a winning Flush hand.
 [RobertoFresca]

New clones marked as NOT_WORKING
--------------------------------
Golden Poker Double Up (bootleg, set 2) [Roberto Fresca, Jeff Hamelin]

-init vars for coverity (mame/video/m-z) [Robbbert]

-imd_dsk: Remove the save support that is just too broken, remove member variables [Olivier Galibert]

-hfe: Remove write support for now, it has issues (sharing data between read and write, copy/pasting the pll code, not supporting
 v3).  May be rewritten once the other changes are in [Olivier Galibert]

-apple2: split the 16 sector format in dos/prodos types [Olivier Galibert]

-Constify the floppy image handling interface [Olivier Galibert]

-floppy: remove the intermediate allocator [Olivier Galibert]

-floppy: Change the internal format to flux changes, update the mfi format accordingly (keep read compatibility with the old mfi)
 [Olivier Galibert]

-sms.xml:  Corrected labels for recently added prototypes [Scott Stone]

-goldnpkr.cpp:  Entries in goldnpkf need to be NO_DUMP since there is no hash information provided. [Scott Stone]

-goldnpkr.cpp:  Added provided hashes for goldnpkf set and made "BAD_DUMP" again. [Scott Stone]

-floppy: revisit the identify returns [Olivier Galibert]

-galpanic.cpp, hcastle.cpp, tbowl.cpp: finders and other minor cleanups [Ivan Vangelista]

-init vars for coverity (mame/audio) [Robbbert]

-isbc8024: new multibus card with unknown firmware [Andy Welburn]

New machines marked as NOT_WORKING
----------------------------------
Intel iSBC 660 System Chassis [Patrick Mackinlay]

-goal92.cpp: finders and other small cleanups [Ivan Vangelista]

-astrocde.cpp: add lives DIP switch to spacezap (MT08274) (#9486) [Steven Coomber]

New working machines
--------------------
10R (Rockwell) [hap, Sean Riddle]
12R (Rockwell) [hap, Sean Riddle]

New machines market as NOT_WORKING
----------------------------------
Waldorf Electronics MiniWorks 4-Pole [DBWBP]

-homelab.cpp, ssem.cpp, machine/z80bin.cpp: Eliminate use of fgetc in quickload processing [AJR]

-ssem.cpp: Fix loading regression [AJR]

-rw5000: update note about a4000 [hap]

-Minor cleanup. [Vas Crabb]
 * machine/ldv3200hle.cpp: Be paranoid about minimum size of unsigned.
 * sound/gb.cpp: Lowercase hex digits in literals.
 * qx10.cpp: Consistent Allman brace positioning.

-hard_disk_file: classify [Olivier Galibert]

-cdrom_file: classify.  Could use more internal work, but it's a step [Olivier Galibert]

-cdrom.cpp: Clean up code somewhat [AJR]
 * Use std::string_view for filename parameters
 * Use ioprocs rather than core_file
 * Reduce commenting out of miscellaneous logging

-cdrom.cpp: Bothering by integer types [AJR]

-init vars for coverity (bus/a-l) [Robbbert]

-init vars for coverity (bus/l-w) [Robbbert]

-contra.cpp, gng.cpp: finders and other small cleanups [Ivan Vangelista]

-bus/nes: Added support for K-3071, S-009, and TH2348 boards. (#9498) [0kmg]

New working software list additions (nes.xml)
---------------------------------------------
Chāozhí Gāo K Jīnkǎ 110 in 1 [Consolethinks]
8 in 1 (0801) [Consolethinks]
Golden 8 in 1 [Consolethinks]

-ksys573.cpp: Workaround for segmentation fault when starting systems with fewer than two CD-ROMs [AJR]

-init vars for coverity (devices/machine/5-i) [Robbbert]

-init vars for coverity (devices/machine/k-p) [Robbbert]

-matrim: Correct year as 2003 (#9495) [CanoeHope]

-init vars for coverity (previously missed in mame/*) [Robbbert]

New working clones
------------------
Finger (bootleg of Stinger) [Kalu666]

-fixed a couple of reportedly uninitiated variables in the tools. [Robbbert]

-Fix clang compile [Olivier Galibert]

-oric jasmin fs: Hide the implementation [Olivier Galibert]

-prodos fs: Hide the implementation [Olivier Galibert]

Software list items promoted to working
---------------------------------------
lk3000: English-German [hap]

Machines promoted to working
----------------------------
LK-3000 [hap]

-formats: fixed GCC compile [Ivan Vangelista]

-cpu: remove obsolete debugger.h include from some of my files [hap]

-util/corealloc.h: Reduced make_unique_clear to a single variant for POD arrays. [Vas Crabb]
 * Enabled GCC lifetime dead store elimination optimisation.
 * emu/device.h: Don't pre-clear memory for drivers.  Ivan Vangelista fixed at least the majority of things that crashed outright,
    and Robbbert initialised variables that coverity complained about.  It's unlikely anything will break due to this.
 * sound/discrete.h: Explicitly initialise members of discrete "devices" to zero.  I don't see a way around doing this in headers
    due to the macro soup used to build the constructors.
 * sound/mos6581.cpp: Moved creation of the SID core to device_start and explictly initialised members of the SID core structures.
    These structures are in internal headers, so they won't cause downstream recompiles.

-Lua engine: Made I/O port manager type_seq a bit more tolerant of omitted arguments. [Vas Crabb]

-Revert initialisation of device members in headers. [Vas Crabb]
 * This is problematic in several ways:
   - Initialising things at construction that aren't needed until after start slows down -romident, -validate, -listxml, etc.  Slot
      cards can be a particular drain on -listxml and -validate as they're instantiated for every compatible slot.  It's more
      pronounced for array members, too.
   - Splitting member initialisation between declaration in headers and constructors in source files means you have to look at two
      places to check for the initial value, and you always need to check the constructor even if an initialiser is present in the
      header because the constructor initaliser list takes precedence.  (This isn't as much of an issue for driver classes because
      the constructor is most often inlined at declaration, so it isn't far from the member declarations.)
   - Initialisers in headers for frequently-used devices increases the frequency of recompiling dependent devices/drivers as they're
      exposed to any changes in initialisers.
   - Initialisers in frequently-used headers increase build times because there's more for the compiler to parse/cache.  (This
      affects makedep.py as well for single-driver builds, but that's a single pass.)  It's not a lot individually, but it adds up
      given the size of MAME, which keeps increasing.  We've already had one contributor banned from GitHub actions for resource
      usage, we don't want to waste compiler time unnecessarily.

-Try to work around the uninitialised member warning in sol::optional. [Vas Crabb]

-s7: hopefully this documentation will be allowed to live? [Robbbert]

-bus/nes: Game Genie cleanup time. (#9502) [0kmg]
 * Trimmed overdumped PRG ROM to 4K.
 * Removed nonexistent CHR ROM, replaced with emulation of on-board logic.
 * Removed hack from NES slot code that directly set the CPU program counter.
 * Corrected reset behavior.

-coco: increase dynamic range of Radio Shack hi-res joystick interface (#9500) [tim lindner]

-fmtowns_flop_orig.xml/pc98.xml: fix incorrect mfm files (#9494) [r09]
 * fmtowns_flop_orig.xml/pc98.xml: fix incorrect mfm files
 * pc98_cd.xml: CD version of Brandish is also working now

-ddragon.cpp: Update timer DIP switch naming for ddragon2 (MT08276) (#9497) [Steven Coomber]

-New NOT_WORKING software list additions (#9496) [ClawGrip]
 * roland_tnsc1.xml: 50's and 60's (TN-SC1-02), Around the World 2 (TN-SC1-05), Piano Bar (TN-SC1-06), Latin (TN-SC1-07)
    [Sean Riddle, ClawGrip]

-m92.cpp - only use 'palette bank' on the later games with ROM banking (MT03289) (#9492) [David Haywood]

-nes.xml: Replaced underdumped graphics ROM for Hanafuda Yuukyouden. (#9490) [0kmg]
 * nes.xml: Replaced underdumped graphics ROM for Hanafuda Yuukyouden.
   - Removed underdumped Soap Panic set.
   - Replaced bad graphics ROM for Pokemon Silver hack.

-v9938: Fix out-of-bounds errors from invalid command writes in certain modes [AJR]

-nes: Various minor fixes, more cleanups with bit functions. (#9488) [0kmg]
 * nes: Various minor fixes, more cleanups with bit functions.
   - bus/nes/benshieng.cpp: Streamline banking; no need to store variables in this device. bus/nes/hes.cpp: Only support multicarts.
      Related singleton carts reassigned to relevant board types. bus/nes_ctrl/hori.cpp: Amend some minutiae involving strobing and
      excessive controller reading. hash/nes.xml: Removed a few more baddump flags.

-vendetta.cpp: Add brute-forced PLD dumps to Vendetta and clones, add notes for vendetta2pw [Buenrip, Recreativas.org] (#9493)
 [ClawGrip]

-Disable lifetime dead store elimination for Linux GCC builds. [Vas Crabb]
 * This will hopefully work around the very unhelpful uninitialised variable warning that seems to be triggered by using Sol's get
    function with std::optional<T> or sol::optional<T> on Linux.

-Changed floppy_image_device::init_fs() to set the dirty bit on the floppy image (#9507) [npwoods]
 * This is not an actual user facing bug right now, because in the MAME UI the call to init_fs() is followed up by a call to
    setup_write(), which forces the image to commit without regard to the dirty bit.  There is an argument that this is itself code
    smell; setup_write() perhaps should be set_output_format() and not arbitrarily perform a commit.

-bottom9.cpp, dunhuang.cpp, skyfox.cpp, vendetta.cpp: disposed of some comments [Ivan Vangelista]

New working machines
--------------------
Le Super Pendu (V1, words set #1) [Roberto Fresca, Grull Osgo, Jeff Hamelin]
Le Super Pendu (V1, words set #2) [Roberto Fresca, Grull Osgo, Jeff Hamelin]

-Spacing, alignment and a new Le Super Pendu bug fixed. [Roberto Fresca]

-screen: draw until current hpos (not inclusive) when doing an update_now [hap]

-Changed fs::meta_value::to_string() to not be static and not require meta_type (#9510) [npwoods]
 * No need to pass in the meta_type when using std::visit() on the std::variant

-stvcd: Be a little more robust to not having any cdrom reader [Olivier Galibert]

-cdrom_file: Removed unused and abstraction-breaking get_chd method [Olivier Galibert]

-chd: Optimize error return from read_metadata [Olivier Galibert]

-x68k_flop.xml, fmtowns_cd.xml, pc98.xml, msx2_flop.xml, pc8801_flop.xml, pcecd.xml: Standardise title of De·Ja (nw) (#9505)
 [eientei95]

-hard_disk_file: Hide the chd [Olivier Galibert]

-Added Ukrainian UI translation. [Stanley Kid] (#9100) [Vas Crabb]

-galaxold.cpp: Identified three inputs for bullsdrtg (MT08283) (#9512) [Steven Coomber]
 * Identified cabinet type sense line, and coinage and free game DIP switches.

New machines marked as NOT_WORKING
----------------------------------
Horses 4 Courses (NSW, Australia) [Brock.M]
Long Hu Tebie Ban (V101CN) [IGSPGM.COM]
The Quest (NSW, Australia) [Brock.M]

New working clones
------------------
Hard Drivin' (compact, rev 2 bootleg) [Andrew Welburn]

-a1supply.cpp: dumped 2 more chips for tv21_3 [Siftware]

-bottom9.cpp: finders and other minor cleanups [Ivan Vangelista]

-pc8001.cpp: initialized a variable which was causing problems in regression testing and actually save some states [Ivan Vangelista]

-seta.cpp: used correct ROM for daiohp2, fixes various GFX glitches [Ivan Vangelista]

-bus/nes: Correct and consolidate Golden Game multicart emulation. (#9511) [0kmg]

New working software list additions (nes.xml)
---------------------------------------------
1500 in 1 [MLX]
Golden Game: 210 in 1 [kmg]

Software list items promoted to working (nes.xml)
-------------------------------------------------
Golden Game: 150 in 1 [kmg]
Golden Game: 260 in 1 [kmg]

-bus/sega8: Added partial support for recent 188 in 1 cartridge. (#9509) [0kmg]

New working machines
--------------------
Le Pendu (Bilingue, Version 04) [Roberto Fresca, Grull Osgo, Jeff Hamelin]

-Added proper graphics ROMs dumps for goldnpkd, goldnpke, and goldnpkf [Roberto Fresca, Jeff Hamelin]

-Added proper bipolar PROMs dumps for goldnpkd, goldnpke, and goldnpkf [Roberto Fresca, Jeff Hamelin]

-buggychl.cpp, himesiki.cpp, surpratk.cpp: finders and other small cleanups [Ivan Vangelista]

-discrete.cpp, mac.cpp: initialized some variables which were causing problems [Ivan Vangelista]

-centiped.cpp: added 82s153 dump for bullsdrt [chaneman]

New machines marked as NOT_WORKING
----------------------------------
Flying Fortress [TTL] [Seth Soffer, Andrew Welburn]

New working clones
------------------
Galaxian (Artic System bootleg) [chaneman]

-bus/nes_ctrl: Updated Arkanoid paddle to return 9th bit. (#9514) [0kmg]

-bus/nes: Remove redundant start and reset device overrides. (#9516) [0kmg]

-galaxian.cpp: Identified three inputs for thepitm (MT08280) (#9517) [Steven Coomber]
 * Identified coinage, game speed and time limit DIP switches.

-thepit.cpp: Corrected coinage DIP switch settings for thepit (MT08280). (#9518) [Steven Coomber]

-buggychl.cpp: removed unused variable [Ivan Vangelista]

-Apparently the issue with Sol and std::optional is a GCC version thing, not Linux vs MinGW. [Vas Crabb]
 * Also, tidied up the test views in some more fruit machine layouts.

-initialised some variables in mame/machine and mame/includes [Robbbert]

-m92.cpp - initialize a few members (#9519) [David Haywood]

-pinball: indicate save-state availability [Robbbert]

-bus/nes: Minor cleanup of BMC_12IN1 board. (#9520) [0kmg]

Software list items promoted to working (nes.xml)
-------------------------------------------------
7 in 1 [0kmg]

-bus/nes_ctrl: Clean up access specifiers in all headers. (#9515) [0kmg]

-apple2e: Fix Zip Chip emulation so it can't be reenabled while locked. (GitHub #9503) [R. Belmont]

-neogeo.xml: fix release dates for kof97, kof97h (#9521) [CanoeHope]

-spectrum_cass.xml: 16 new entries + 6 redumps + metadata updates (#9508) [ArcadeShadow]

New working software list additions
-----------------------------------
3D Dracman [Steven Brown, Planeta Sinclair]
4 Logiciels pour ZX Spectrum [Steven Brown, Planeta Sinclair]
A Harvesting Moon (two sides) [Steven Brown, Planeta Sinclair]
Battle on Hoth (alt) [Steven Brown, Planeta Sinclair]
Bell Ropes [Steven Brown, Planeta Sinclair]
Brave Knight [spectrumcomputing.co.uk]
Cobra (Erbe, medium case) [spectrumcomputing.co.uk]
Cobra (Erbe, small case) [spectrumcomputing.co.uk]
Cobra (IBSA) [spectrumcomputing.co.uk]
Dragon's Lair II: Escape from Singe's Castle (Erbe) [spectrumcomputing.co.uk]
La Quête du Chevalier [Miguel Sobreira, Planeta Sinclair]
Popeye (Zafi Chip) [spectrumcomputing.co.uk]
Raid Over Moscow (set 6, Dro Soft) [spectrumcomputing.co.uk]
Rygar (Erbe, promotional) [spectrumcomputing.co.uk]
Super Cycle (Compulogical) [spectrumcomputing.co.uk]
The 11th Hour (The Guild) [spectrumcomputing.co.uk]

Redumped
--------
Cobra (bugfix) [spectrumcomputing.co.uk]
Hammerfist [spectrumcomputing.co.uk]
Popeye (Macmillan) [spectrumcomputing.co.uk]
Red Heat (Erbe) [spectrumcomputing.co.uk]
Robin of Sherlock (Zenobi) [spectrumcomputing.co.uk]
Satan [spectrumcomputing.co.uk]

-nes.xml: Added a recent chip tune dump (#9504) [0kmg]

New working software list additions
-----------------------------------
King Gizzard & the Lizard Wizard - Polygondwanaland - 2nd Edition [anonymous]

-slapfght.cpp: Fix MT08279 (#9499) [sjy525]

-Added lependu to arcade.flt, cleaned away some stray tabs. [Robbbert]

-Merged s8a.cpp into s8.cpp [Robbbert]

-Moved Rat Race from s9 to s8. Game is now playable. [Robbbert]

-Moved ratrc to the correct place in mame.lst [Robbbert]

-Added a note about Star Trax. [Robbbert]

-naomigd: Use swapendian_int64 instead of custom rev64 function [AJR]

New clones marked as NOT_WORKING
--------------------------------
Indoor Soccer (Tecfri license PCB) [Eduardo Anay, ClawGrip]

-contra.cpp: added hardware infos [Guru]

-epos.cpp, ksayakyu.cpp: finder and other minor cleanups [Ivan Vangelista]

-whitestar.cpp: used finder instead of tag lookup for memory bank [Ivan Vangelista]

-ui/datmenu.cpp: Respect clicks on headings (GitHub #9522). [Vas Crabb]

-timetrv: fix difficulty dipswitch typo [hap]

-wpcsnd: added save-state support [Robbbert]

-bus/nes: Minor cleanups and simplifications for several Kaiser boards. (#9523) [0kmg]

-bus/nes: Added support for multicart board DS-9-27. (#9525) [0kmg]

New working software list additions (nes.xml)
---------------------------------------------
Gàishì 190 in 1 [Consolethinks]

-Revert "slapfght.cpp: Fix MT08279 (#9499)" (#9526) [R. Belmont]
 * This reverts commit 1828fe6a6dc9a9ce356dc789e2044b5364ce5321.

-gottlieb.cpp: Added save-state support for the non-laserdisc games (can't test those). [Robbbert]

-src/devices/cpu: Remove #include "debugger.h" where no longer necessary [AJR]

New machines marked as NOT_WORKING
----------------------------------
Signetics SMVME2000 [Plamen Mihaylov]

-Added an 'image_display_enabled' property to mame_ui_manager and exposed it to LUA.  This property allows one to disable
 image-specific UI displays (#9377) [npwoods]

-Adding support for formatting CoCo RS-DOS file systems (#9405) [npwoods]

-Adding support for formatting CoCo OS-9 file systems (#9434) [npwoods]
 * Adding support for formatting CoCo OS-9 file systems A caveat of this support is that there is no way for a FS implementation to
    get the actual floppy geometry.  Therefore, we are currently hard coding the track count, head count and sector size

-wink.cpp: Identified several inputs for wink, winka (MT08284) (#9527) [Steven Coomber]
 * wink.cpp: Identified several inputs for wink, winka (MT08284)

-ajax.cpp, parodius.cpp: finders and other minor cleanups [Ivan Vangelista]

New working clones
------------------
Cal Omega v17.0 (Amusement Poker) [Roberto Fresca, Justin DeLutis]

-Complete DIP switches and technical notes for Cal Omega v17.0 (Amusement Poker). [Roberto Fresca]

-t10mmc.cpp: Return error response when no CD is available [AJR]

-cubo: Fix exception on start [AJR]

-a800.xml: Added two Popeye prototypes. (#9529) [0kmg]

New working software list additions
-----------------------------------
Popeye (prototype, 19830829) [Dutchman2000]
Popeye (prototype, WIP8) [Tempest]

-nes.xml: Added seven miscellaneous dumps. (#9528) [0kmg]

New working software list additions
-----------------------------------
1993 Super HiK 4 in 1 (F-034) [Consolethinks]
Assimilate [Nessylum]
L'Abbaye des Morts [Parisoft]
Little Lancelot (USA) [anonymous]
Metal Max (Japan, prototype) [Zoda-Y13, Forest of Illusion]
Pyramids of Ra (USA) [anonymous]
Toobin' (Korea) [MLX]

-drcbex64.cpp: Fix assert in debug build with some CPUs (PowerPC, SH) [AJR]

-cv1k: Detect versions of the ep1c12 firmware [Olivier Galibert]

-nscsi cd: Don't crash on certain commands when no cdrom is inserted [Olivier Galibert]

-pc98_cd.xml: fix interface mistake for psydet4 [Angelo Salese]

-c80: merged c80h into c80.cpp. Fixed random crash. Removed bogus 9th digit. Documented how to use the cassette. [Robbbert]

-namcos22: fix drvnoclear issues [hap]

-c80, ccs300: minor matters. [Robbbert]

-screen.h: set_clock(x) instead of m_clock=x [hap]

-chinagat: coverity 315292 [Robbbert]

-cps1: init vars; coverity 351281; use standard variable names. [Robbbert]

-New NOT_WORKING machines (#9531) [ClawGrip]

New NOT_WORKING machines
------------------------
Sport Damjes 1 [Sergio de electronicaVyS, ClawGrip]

-xvd701, twinkle: Implemented commands required for Twinkle DVD player. (#9114) [987123879113]

-igs017.cpp: Improved protection and decryption [Luca Elia]
 * Implemented "magic" i/o as a memory map (IGS_MUX) for added flexibility
 * Hooked up IGS_INCDEC protection to cpoker2, tarzanc, spkrform, starzan
 * Implemented specific IGS_INC protection in cpoker2
 * Hooked up improved IGS022 protection to lhzb2, sqlz2
 * Added IGS025 string protection to lhzb2, lhzb2a, mgcs, spkrform, slqz2, starzan, tarzanc, tjsb
 * Palette scramble and tweaked tiles decryption in tarzanc (used also by starzan, happyskl, cpoker2)
 * Decrypted sprites in tarzanc and starzan (used also by happyskl)
 * Lamps and layout for starzan, happyskl, cpoker2
 * Cleaned up/finished hopper emulation, added diplocations
 * Joystick inputs in mgcs
 * Finished inputs in spkrform. Allow hiding gambling (switching to Formosa and back)
   - igs022.cpp: Fixes for igs017.cpp games [Luca Elia, RockyWall]
 * Fixed initial auto-DMA mode
 * Enlarged internal RAM. Added stack
 * Fixed command 12: Copy -> Stack Push
 * Added command 45: Stack Pop
 * Fixed command 6d opcode 1: Add Imm -> Sub Values
 * Added command 6d opcode 0: Add Values
 * Extended logging

Machines promoted to working
----------------------------
Tarzan Chuang Tian Guan (China, V109C, set 1) [Luca Elia, iq_132, Ivan Vangelista, Guru, Dyq, bnathan]
Super Tarzan (Italy, V100I) [Luca Elia, iq_132, Ivan Vangelista, f205v, Mirko Buffoni]
Happy Skill (Italy, V611IT) [Luca Elia, Ivan Vangelista, Caius, The Dumping Union]
Champion Poker 2 (V100A) [Luca Elia, Ivan Vangelista, Jorge Silva, Fernando Oliveira]
Long Hu Zhengba 2 (China, set 1) [Luca Elia, RockyWall, David Haywood, iq_132, Pierpaolo Prazzoli, XingXing]
Shuang Long Qiang Zhu 2 VS (China, VS203J) [Luca Elia, RockyWall, David Haywood, iq_132, Pierpaolo Prazzoli, XingXing]

Clones promoted to working
--------------------------
Super Poker (V100xD03) / Formosa [Luca Elia, ANY]

-osd: Added multibyte check to osd_uchar_from_osdchar to fix decoding ASCII text. (#9536) [987123879113]
 * This allows ASCII INI files to be parsed on Windows systems set to use a double-byte code page.  It should also work with
    correctly-encoded Shift-JIS, GB2312, Big5 and EUC-KR.  It won’t work for more complex variable-length encodings, or when the
    input is not correctly encoded.

-Revert "igs017.cpp: Improved protection and decryption [Luca Elia]" [Vas Crabb]
 * This reverts commit ec3cd170e74a1d1eacc52536e4568f0797e4648a.
 * This is problematic in several ways:
   - Substantial protection data in source.
   - Non-portable code doesn't build with clang.
   - General quality issues.

-acefruit: placate coverity (251457,251459,251461) [Robbbert]

-ibm6580: coverity 349280 [Robbbert]

nc.cpp: coverity 138975 Note says nc200 hang at start, but when tested it works, so... Machines promoted to working
-------------------------------------------------------------------------------------------------------------------
NC200 [Robbbert]

-queen: coverity 176488 [Robbbert]

-bus/nes: Added support for Sachen's Zhōngguó Dàhēng cartridge. (#9540) [0kmg]

-royalmah.cpp: coverity 345004 [Robbbert]

-midiin: Use util::random_read rather than buffer pointer in MIDI file parser [AJR]

-315-5838_317-0229_comp: buffer overflow, coverity 183518 [Robbbert]

-Funworld Quiz: Dumped and added the missing geo3 questions bank ROM. Rearranged the remaining banks accordingly.
 [Team Europe, Roberto Fresca]

-Le Pendu driver: Tag lookups, arrays, data, docs, blah blah. [Roberto Fresca]

-mbee: coverity 333015 [Robbbert]

-megacdcd.cpp: check for cd before last track, coverity 351399,351404 [Robbbert]

-pmd85: init vars, coverity 316086 [Robbbert]

-Le Pendu: More realistic button-lamps, and closer to the originals. [Roberto Fresca]

-init vars on some includes [Robbbert]

-init vars found from regression testing [Robbbert]

-init vars for broken apples [Robbbert]

-init vars (includes) [Robbbert]

-rw5000: added b5500 [hap]

New working clones
------------------
30R: Slide Rule Memory (B5500 version) [hap, Sean Riddle]

-cpu.lua: fix typo from prev commit [hap]

-more init vars (includes) [Robbbert]

-b5500: subclass of a5500 instead of b5000 [hap]

-cp1: Eliminate fgets in quickload parsing [AJR]

-init even more vars (includes) [Robbbert]

-lependu: remove floating point math for binary logic, remove hardcoded keycodes where MAME already has the same defaults [hap]

-hh_sm510: move variables init to class body [hap]

-lependu: small adjustment to comment block align [hap]

-goldnpkr: relocate namespace closing brace [hap]

-Le Pendu: Changed manufacturer according to the shown in the title screen. [Roberto Fresca]

-mame.lst: Changed Le Pendu manufacturer... [Roberto Fresca]

-init some more vars (includes) [Robbbert]

-apple1.cpp, microtan.cpp, mtx.cpp, vtech1.cpp: Eliminate use of device_image_interface::ptr() method [AJR]
 * vtech1.cpp: Correct fencepost error in snapshot loader

-init last bunch of vars for today [Robbbert]

-neogeo.xml - Fix moshougi and flipshot year (#9544) [CanoeHope]

-nes.xml: Set correct board type for Qiwang Chinese Chess games. (#9547) [0kmg]

-Consolidated floppy_image_device::m_create_fs and floppy_image_device::m_io_fs vectors (#9542) [npwoods]
 * Consolidated floppy_image_device::m_create_fs and floppy_image_device::m_io_fs vectors
   - We had two separate members in floppy_image_device (m_create_fs and m_io_fs) that contained the same data.  Whether the file
      systems can be formatted or read can be identified by querying fs::manager_t.
   - For this reason, it seems bad to have these separate members, the seemingly only reason to make the UI code slightly less
      complicated.  For this reason I consolidated these two members and moved the burden of selecting which ones are creatable to
      the UI code.

-hash/pcecd.xml: validate hucard requirements: [angelosa]
 * fix most instances where the sharedfeat doesn't match what the description implies;
 * fix Mahjong Vanilla Syndrome metadata;
 * fix xak12 description;
 * demote implode and meteorbl to baddump;

-labyrunr.cpp, pcktgal.cpp: used finders and other small cleanups [Ivan Vangelista]

-huc6272.cpp: don't return -1 when running out of nybbles in adpcm_update fn, fixes extremely overdriven PC-FX aliasing huc6230.cpp:
 code review some dubious paths; [angelosa]

New working clones
------------------
Blood Storm (v2.21) [coolmod]

-angelkds.cpp, crgolf.cpp: finders and other small cleanups [Ivan Vangelista]

-Fixed some issues involving fs::meta_description construction (#9546) [npwoods]
 * Fixed some issues involving fs::meta_description constructing
   - With the recent change to use std::variant more closely, I noticed a problem where meta_descriptions of type meta_type::String
      got defaults of type 't'.  This was because the templated ctor for meta_description would convert 'const char *' to 'bool'.
      This change adds another overload to catch 'const char *', along with asserts to catch problems.
   - In the process I corrected a few meta_description ctors
   - It is possible that this change does not go far enough.  Perhaps the meta_type argument should be removed, and we should
      instead create distinct ctor types (rather than relying on templates) and specify the precise meta_type in the overload.  Or
      even go further and remove m_type from meta_description, and instead create an overload that calculates meta_type based on
      calling std::visit on the variant
 * Taking this change a bit further, and removing m_type from fs::meta_description; it was superfluous.  Also doing some minor
    C++-ifications

-cosmos_playc8f.cpp: Add "SY-MUSIC01" PCB ASCII layout (#9548) [ClawGrip]

-clang 14 fixes [smf-]

-apple2gs: fix slow cycles to a more correct value. (MT#08240) [R. Belmont]

-init a few more vars in includes [Robbbert]

-Advision: merged 4 files into one. [Robbbert]

-k573dio/k573fpga: Improve counters and status flags (#9554) [987123879113]

-kangaroo.cpp, shisen.cpp, skykid.cpp, spdodgeb.cpp: finders and other small cleanups [Ivan Vangelista]

-arm_iomd.cpp: improve serial DAC overrun/int handling, makes SFXs to work better in ppcar; acorn_vidc.cpp: workaround missing
 default QS1000 sounds in ssfindo/tetfight by disabling DAC outputs for the time being; [angelosa]

-8x300 subcycle improvements (#9539) [Luigi Thirty]

-bus/nes: Updated Taito X1-017 boards. (#9535) [0kmg]
 * Replaced bad program ROMs with dumps with proper page order.
 * Updated banking to work with proper dumps.
 * Fixed CHR banking from possibly ignoring first writes.
 * Added special latching bytes to internal X1-017 RAM.
 * Added IRQ support (no games exist that use it).

-bus/nes: Added support for KL-06 and 831128C boards. (#9552) [0kmg]
 * Made VRC4 base class extendable for CHR banking, as was done to PRG banking.

New working software list additions (nes.xml)
---------------------------------------------
1993 New 860 in 1 Over-Valued Golden Version Games [Consolethinks]
1995 New Series Super 2 in 1 (Asia) [anonymous]

-gammagic.cpp: remove unused legacy PCI hookup, demote gammagic/99bottles with BAD_DUMPs [angelosa]

-Minor comments etc in various drivers (mostly mine) [Robbbert]

-gammagic.cpp: discover that removing data track pregaps makes CD-ROM dumps to be mountable [Carl, Angelo Salese]

-nes.xml: Removed underdumped Super 8 in 1 mc_s8kr. (#9557) [0kmg]

-nes.xml: Removed duplicate dump/entry linzexua. (#9561) [0kmg]

-apple2gs: Don't trigger on $C071-$C07F.  Fixes Rastan and other joystick issues. (GitHub #9530)(MT#08240)
 [Kelvin Sherlock, R. Belmont]

-3rdparty: Updated zlib to version 1.2.12. [Vas Crabb]

-Init last few variables for now. [Robbbert]

-Added a 'type()' accessor to fs::meta_value (#9553) [npwoods]
 * Added a 'type()' accessor to fs::meta_value
   - Let's try to hide the nastiness of std::visit() as much as humanly possible
 * Changing visitor approach for std::visit() call in fs::meta_value::type()

New machines marked as NOT_WORKING
----------------------------------
Super 97 (Ver. 1.00) [Ioannis Bampoulas]

-hexion.cpp: used finders and other small cleanups [Ivan Vangelista]

-powerins.cpp: corrected one sprite ROM for powerinsc [Ivan Vangelista]

-Fix MT07568: hyprdriv (seattle) randomly freezes. (#9559) [tedgreen99]
 * Fix MT07568: hyprdriv (seattle) randomly freezes. gt64xxx: Change interrupt handler to not send new interrupts if an interrupt
    has already been asserted and improve dma timing. seattle: Add some harddrive dma delay to make harddrive performance more
    realistic.
 * Adjust comment to clarify word size
 * vegas: Move hdd set_dma_transfer into machine config seattle: Move hdd set_dma_transfer into machine config

-Fix MT07823: nbagold (vegas) watchdog reset when select other game menu from service menu (#9560) [tedgreen99]
 * mips3: Add new DRC option to add extra validation to hash jumps vegas: Use new MIPS DRC option atlantis: Use new MIPS DRC option

-cinemat.cpp: Starhawk typo fix (#9568) [David 'Foxhack' Silva]
 * Title has no space in the middle in the marquee, art, flyers, or operator's manual.

-gamecstl.cpp: extend notes over dump analysis [angelosa]

-fruitpc.cpp: split gogostrk into own driver (paokaipc.cpp), remove legacy PCI header defined. (#9562) [Angelo Salese]

-i82371ab.cpp: convert to logmacro, fix log writes [angelosa]

-bus/nes: Added support for Chinese translations of Genghis Khan, Square's Tom Sawyer, and Tenchi wo Kurau II. (#9569) [0kmg]

Software list items promoted to working (nes.xml)
-------------------------------------------------
Dàtáng Fēngyún VI Dài (China) [0kmg]
Chéngjísīhán (China) [0kmg]
Fēngsè Huànxiǎng (China) [0kmg]
Tāngmǔ Lìxiǎn Jì (China) [0kmg]
Tenchi wo Kurau II - Shokatsu Koumei Den (China) [0kmg]
Tenchi wo Kurau II - Shokatsu Koumei Den (China, alt) [0kmg]
Tūnshí Tiāndì II (China) [0kmg]
Tūnshí Tiāndì II (China, alt) [0kmg]
Tūnshí Tiāndì II (China, alt 2) [0kmg]
Tūnshí Tiāndì III (China) [0kmg]

-fruitpc.cpp, gammagic.cpp, paokaipc.cpp: inherit proper PCI_ROOT bus [angelosa]

-galaxian.cpp:  Correct DIP switches for takeoff (MT08286) (#9537) [Steven Coomber]

-raiden_ms.cpp: Fix note and reformat single line comments (#9469) [ClawGrip]

-gticlub.cpp - Add subtitle to gticlub sets. (#9462) [Michael Sanborn]

-neogeo.xml: Fix matrim AES serial (#9566) [CanoeHope]

-voodoo: Change vsync counter to start immediately after vblank. Based on documentation of vretrace register. [Ted Green]

-viper: Use normal vsync polarity. [Ted Green]

-vegas: Fix MT8064: Screen tearing in gauntlet dark legacy and gauntlet legends. [Ted Green]

-jr200: removed writing to rom regions; improvements to keyboard. [Robbbert]

-seattle: Fix calibration failure regression in sfrush and sfrushrk caused by sjy96525 pr#9321 [Ted Green]

-ti99/tipi: Added async mode; improved logging; improved debugging; some fixes. [Michael Zapf]

-wink.cpp: Identified more inputs for wink, winka (MT08284) (#9574) [Steven Coomber]

-nes.xml: Removed bad dump mc_s8kfa. (#9571) [0kmg]

-Replaced a couple of static_cast downcasts with dynamic_cast for safety, cleaned up some formatting. [Vas Crabb]

-pc8801.cpp: major groundwork cleanups (#9533) [Angelo Salese]
 * pc80s31k.cpp: minor XTAL cleanup
 * pc8801.cpp: reduce signature name fns
 * pc8801.cpp: separate dictionary and CD-ROM later model use into own state machines
 * pc8801.cpp: clean input ports a bit
 * pc8801.cpp: bulk printf -> logerror
 * pc8801.cpp: misc cleanups
 * pc8801.cpp: more misc cleanups
 * pc8801.cpp: initial batch of exporting PC8801-31 to a separate device
 * pc8801_31.cpp: document register map, add machine ID
 * pc8801.cpp: fix configuration mistake for CPU speed
 * pc8801.cpp: add base diplocations, massage documentation of ports $30, $31, $40, misc cleanups
 * pc8801.cpp: fix mouse cursor jump bugs, remove deprecated PORT_RESET usage; pc8801.cpp: rework and extend expansion slot
    descriptions;
 * pc8801.cpp: add note about extended FH keyboards
 * pc8801.cpp: add dip positions for BASIC dips
 * pc8801_31.cpp: add stub SCSI bus controller
 * pc8801.cpp: blind fix kanji LV2 hookup
 * pc8801.cpp: use required_region_ptr for ROM regions, split kanji_lv2 to own one
 * pc8801.cpp: move a few notes to XML
 * pc8801_flop.xml: correct Digan no Maseki title
 * pc8801.cpp: remove unneeded port $33 hookup (should be unmapped on all PC8801 variants)
 * pc8801.cpp: initial implementation of interrupts using i8214 as base. Fixes at least yojukiko and bishojbg BGMs
 * pc8801.cpp: add clock calculation for internal DAC1BIT, add reported V1 revision numbers for each romset.
 * pc8801.cpp: move OPN/OPNA sound chip mounts to internal model types, add stereo mixing
 * pc8801.cpp: add sound irq pending mechanism, particularly needed by Telenet games
 * pc8801_flop.xml: update QA notes
 * pc8801_flop.xml: more misc QA notes
 * pc8801.cpp: improve irq semantics, connect rxrdy_irq_w signal
 * pc8801.cpp: fix some irq regressions
 * pc8801.cpp: make OPNA a bit less louder, QA checkpoint
 * pc8801.cpp: fix broken link, unmapped I/O documentation
 * pc8801.cpp: add JMB-X1 map, other minor notes
 * pc8801_flop.xml: fix metalora title and manufacturer
 * pc8801.cpp: minor cleanups
 * pc8801.cpp: start inheriting from base pc8001_base_state, add initial hooks for actual 3301 + i8257 devices
 * pc8801.cpp: fix port40_r reading mistake
 * pc8801.cpp: fix 24kHz pixel clock
 * pc8801.cpp: 3301 irq is tied to VRTC not INT
 * upd3301.cpp: fix VRTC vblank/display bit timer
 * pc8801.cpp: fix DMA readback
 * upd3301.cpp: convert to logmasked
 * upd3301.cpp: support for no attributes/no special control mode
 * pc8801.cpp: simplify bitmap 3bpp drawing and add preliminary palette rasters
 * pc8801.cpp: misc documentation updates
 * upd3301.cpp: clear bitmap layer on FIFO reset
 * i8214.cpp: PoC in separating INT ASSERT and CLEAR phases pc8801.cpp: tie acknowledge to INT rather than inside callback. Avoids
    spurious irq regressions;
 * upd3301.cpp: handle bitmaps as pure transparent; pc8801.cpp: add BG Pal handling, honor transparency in all bitmap layers;
 * pc8801.cpp: minor cleanups
 * pc8801.cpp: better handling of bitmap fills
 * pc8001.cpp: carry over attribute fetches between lines when 3301 is in color mode
 * pc8801_flop.xml: update QA, move notes from main driver
 * pc8801.cpp: implement colorized b&w graphic modes
 * pc8801.cpp: cleanup obsolete functions
 * pc8801.cpp: extend a bunch of notes
 * pc8801.cpp: add boilerplate code for base irq mechanism
 * pc8801.cpp: add expansion card support, with JMB-X1 (partly addresses #8709), PC-8801-23 and PCG-8100 as PoC examples.
 * pc8801_exp.h: fix CI clang build
 * pc8801_31.cpp: SW list hookup

New NOT_WORKING software list additions
---------------------------------------
pc8801_cdrom.xml: CD Takarabako [r09]

-pc8801.cpp: promote some romsets to parent [Angelo Salese]

-pc8801.h: reinstate dummy initialization in state machines [Angelo Salese]

-pc8801.cpp: save_item to all variables in state machines [Angelo Salese]

-MT08203 fix (#9549) [Angelo Salese]
 * imagetek_i4100.cpp: add external pin callbacks, disallow internal irq acks for 5 to 7 lines; metro.cpp: tie irq line 5 to a
    vblank source with external pin 0 as irq enable, fixes MT08203;
 * imagetek_i4100.cpp: extend external pin notes
 * metro.cpp: add note about vmetal layer alignments, fix blzntrnd/gstrik2 regressions, address code review;

-nmk16.cpp: fixed MT08294 [Ivan Vangelista]

New working clones
------------------
Street Fighter III 2nd Impact: Giant Attack (Hispanic 970930) [Darksoft]

-galaxold.cpp: DIP switches are not labelled for trvchlng (MT08285) (#9573) [Steven Coomber]

-jr200: fixed pcg mistake; added kana keyboard. [Robbbert]

-jr200: fixed capslock logic [Robbbert]

-Released my copyright on some drivers - i didn't do much work on them. [Robbbert]

-taitowlf.cpp: extend QA notes [Angelo Salese]

-savquest.cpp: update QA notes [Angelo Salese]

-jr200: added cassette baud switch, and break (nmi) key [Robbbert]

-pocketrc: decrease analog controls range [hap]

-exl100: fixed loading of the 6 swlist items of size 32256. [Robbbert]

-warfa: correct title string [mmarino4]

-suna16.cpp: fixed MT08297 [Ivan Vangelista]

-cps3.cpp: corrected a copy-paste error in the comments [Ivan Vangelista]

-r2dtank.cpp: update Bonus Life DIP switch label (MT08250) (#9577) [Steven Coomber]
 * I have tested and confirmed jkburks finding with this DIP switch.  I am still working on the missing "Number of Shots" DIP switch
    separately.

-Fixed string constructor for fs::meta_value (#9580) [npwoods]
 * In absence of a constructor that explicitly took 'const char *', passing a const char * would be interpretted as a bool

-bus/nes: Minor cleanups for some MMC3 boards. (#9579) [0kmg]
 * Fixed TXSROM's repeated setting of nametable pages.
 * NES-QJ, PAL-ZZ boards can only change outer banking bits when RAM enabled.

-bus/nes: Fixed emulation for Chinese Fire Emblem translations. (#9575) [0kmg]

Software list items promoted to working (nes.xml)
-------------------------------------------------
Shènghuǒ Huīzhāng - Suǒfēiyà Fùsū (China) [0kmg]
Shènghuǒ Huīzhāng - Suǒfēiyà Fùsū (China, alt) [0kmg]
Shènghuǒ Huīzhāng - Suǒfēiyà Fùsū (China, fixed?) [0kmg]
Shènghuǒ Huīzhāng Wàizhuàn (China) [0kmg]
Shènghuǒ Huīzhāng II Dài (China) [0kmg]
Shènghuǒ Huīzhāng II Dài (China, alt) [0kmg]
Zhēntián Shí Yǒngshì (China) [0kmg]

-nes.xml: Added a new dump; fixed tysonpoh bad dump. (#9587) [0kmg]

New working software list additions
-----------------------------------
Mike Tyson's Intergalactic Power Punch (USA, prototype) [HiddenPalace]

-bus/nes: Improved support for BMC-64IN1NR boards. (#9586) [0kmg]

New working software list additions (nes.xml)
---------------------------------------------
76 in 1 Y2K [superretrogamer2741]
Super HiK 42 in 1 (K-42001) [Consolethinks]

-ibm5170.xml: 8 added + 1 redumped (#9582) [ArcadeShadow]
 * ibm5170.xml: 8 added + 1 redumped

New working software list additions
-----------------------------------
Pyrotechnica [The Good Old Days]
Red Baron (EGA version) [ibmpc5150, archive.org]
Red Baron (VGA version) [ibmpc5150, archive.org]
Red Baron - Mission Builder [ibmpc5150, archive.org]
Return of the Phantom [The Good Old Days]
SimCity Classic (Windows 3.x release) (3.5") [ibmpc5150, archive.org]
SimCity Classic (Windows 3.x release) (5.25") [ibmpc5150, archive.org]
SimLife (Windows 3.x release) [The Good Old Days]

Redump
------
SimLife (set 2, older) [The Good Old Days] (disk 1 and 2 have a modified OEM ID) [ArcadeShadow]

-ibm5170.xml: Dragon's Lair (moved from ibm5150.xml to ibm5170.xml) [ArcadeShadow]
 * Dragon's Lair was moved from the ibm5150 to the ibm5170 because of the minimal requirement: IBM AT (286 processor)

-famicom_flop.xml: Metadata corrections (#9585) [ArcadeShadow]
 * Changed descriptive text in descriptions to lowercase.

-vboy.xml: Metadata corrections (#9584) [ArcadeShadow]
 * Changed descriptive text in descriptions to lowercase.

-pcecd.xml: Metadata correction (#9583) [ArcadeShadow]
 * Changed descriptive text in descriptions to lowercase

-generalplus_gpl16250_nand.cpp: fixed MT08270 [Ivan Vangelista]

New machines marked as NOT_WORKING
----------------------------------
Kiteyo Parman [hap, Kevin Horton, Rik]
Toukon Juohmaru [hap, Kevin Horton, Rik]
Go Go Dynaman [hap, Kevin Horton, Rik]
Defender (Gakken) [hap, Kevin Horton, Rik]
Bombman [hap, Kevin Horton, Rik]
Pucki & Monsters [hap, Kevin Horton, Rik]
Wanted G-Man [hap, Kevin Horton, Rik]

-srumbler: connect ym2203 irq to soundcpu [jotego]

-flopimg: Fix issues when wrapping in generate_bitstream_from_track which were especially damaging for apple drivers
 [Olivier Galibert]

New clones marked as NOT_WORKING
--------------------------------
Dragon Ninja (Modular System) [Eduardo Anay, ClawGrip]

-File handling cleanup [AJR]
 * Remove fgetc, fgets and ptr methods from device_image_interface.
 * Remove the core_file::buffer method to read an entire file into memory and rewrite emu_file::hashes to not depend on it.
 * Make core_in_memory_file a final class; now that buffering is gone, core_osd_file no longer subclasses it but a new superclass
    that retains some common methods.
 * Rename the offset and length methods used internally in core_file implementations to index and size due to frequent clashes with
    parameter names.
 * Convert comments in util/corefile.cpp to C++ style.
 * Add a new overload of the hash_collection::compute method which hashes data from a random_read stream, reading it into memory one
    chunk at a time. As a result, the hash_collection::begin and hash_collection::end methods have been removed as obsolete (similar
    methods are now used internally only).
 * Enhance error messages for the frontend media identifier when it encounters file errors.

-looping: Work around problem with sound CPU interrupts that was preventing PSG sounds from playing [AJR]

-spdamjes.cpp: Add memory map [AJR]

-bus/nes: Updated Irem boards. (#9596) [0kmg]
 * Fixed various minutiae with banking modes, bus conflicts, masks based on pin counts.
 * Made H3001 a subclass of G101. It's mostly functionally the same with an added IRQ.

New working clones
------------------
Densha de GO! (Ver 2.3 J) [andynumbers]

-1942.cpp: added hardware info and corrected main CPU clock [Guru]

-nes.xml: Removed duplicate dump misstank. (#9598) [0kmg]

-New NOT_WORKING machines (#9487) [ClawGrip]

New NOT_WORKING games
---------------------
Photo Play 2002 (Belgium) [Asure]

New NOT_WORKING clones
----------------------
Photo Play 1999 (Netherlands) [Asure]
Photo Play 2000 (Netherlands) [Asure]
Photo Play 2001 (Netherlands) [Asure]
Photo Play Masters 2001 (Netherlands) [Asure]


-nes.xml: Added six homebrew cartridges. (#9538) [0kmg]

New working software list additions
-----------------------------------
AO [anonymous]
Beat'Em & Eat'Em [anonymous]
Dúshlán [anonymous]
NES Virus Cleaner [anonymous]
Solaris [anonymous]
Tic-Tac XO [anonymous]

-fm7_cass.xml: split into FM-7 and FM-8 lists (#9541) [r09]

Software list items promoted to working
---------------------------------------
Portopia Renzoku Satsujin Jiken [r09]

-Get Kurzweil K2000 skeleton driver to boot. (#9545) [Peter Sobot]

-bus/nes: Simplified Sunsoft-4 boards. (#9550) [0kmg]

-alpha68k_n.cpp:  Corrected comment and clocks for kyros (#9423) [negunma]

-Cleanups for the CoCo RS-DOS fs module (#9588) [npwoods]

-ksys573.cpp - fixed some typos. (#9564) [Michael Sanborn]

-bus/nes: Minor simplification to TQROM + update support status. (#9576) [0kmg]

-Cleanups for the CoCo OS-9 fs module (#9589) [npwoods]

-nes.xml: Added some Chinese RPGs and a virtual pet game. (#9591) [0kmg]

New working software list additions
-----------------------------------
Chǒngwù Bǎobǎo (China) [famiac, NewRisingSun]
Dì Shì Tiān (China) [Consolethinks]
Jiànxiá Qíngyuán (China, Final Fantasy pirate) [famiac, NewRisingSun]
Qítiān Dàshèng (China) [famiac, NewRisingSun]
Wúmíng Chuánshuō (China) [Consolethinks]

-nes: Various minor cleanups. (#9593) [0kmg]

-bus/nes: Work on Tengen boards. (#9594) [0kmg]

New NOT_WORKING software list additions (nes.xml)
-------------------------------------------------
Skull & Crossbones (Korea) [MLX]

-model3.cpp & whitestar.cpp - Make Sega Lost World title strings consistent. (#9601) [Michael Sanborn]

-a800_flop.xml: Added one new entry. (#9599) [0kmg]

New working software list additions
-----------------------------------
Pondering About Max's [A8SP]

-cexpert: add cpu freq config [hap]

New clones marked as NOT_WORKING
--------------------------------
Slap Fight (Modular System) [Eduardo Anay, ClawGrip]

-tms5220.cpp: Add note [AJR]

-nes.xml: Support status updates + note some issues/causes. (#9603) [0kmg]

-z80scc: add support for WR15_ZEROCOUNT interrupts (MT 8239). (#9604) [ksherlock]

-apple2e.cpp: fix $C05F access regression (MT #9592) [R. Belmont, yoshisuga, Peter Ferrie]

-g65816: fixed JSR being a cycle short [R. Belmont, O. Galibert]

-ddenlovr.cpp: Updates for later games (daimyojn, hanakanz, hkagerou, jongtei, kotbinsp, kotbinyo, mjchuuka, mjdchuka, mjgnight,
 mjreach1, momotaro) [AJR]
 * Add banked NVRAM
 * Simplify ROM loading and stop using regions for RAM

-ZX Spectrum: restore border size (#9600) [holub]

-pgm2: update comments (#9556) [Misty De Méo]

-exl100: preliminary IR keyboard, exelbas can be used. [Robbbert]

-exl100: added save states [Robbbert]

-exl100: added status of software. [Robbbert]

-slapfght_ms.cpp: Fix typo on ROMs labels (#9608) [ClawGrip]

-exl100: added cassette interface, not tested. [Robbbert]

-gaelco.cpp: Verify clocks (#9610) [ClawGrip]

New working clones
------------------
Super Expert (version C, v1.2) [anonymous]

-fccpu20: fixed save-state registration warnings [Robbbert]

-Update simplified Chinese translation for autofire button name format [kongmao45678]

-Update Greek translation for autofire button name format [Vas Crabb]

-nes.xml: Shìtiān is a name, no space in the middle. [Vas Crabb]

New working machines
--------------------
Bowmen [Roberto Fresca, Mirko Buffoni, Daniel Carmona, Museoarcadevintage.com, Recreativas.org]

-model2.cpp: fixed crash in debug build [Robbbert]

-8080bw.cpp/mw8080bw.cpp: (#9149) [eientei95]
 * Add difficulty dipswitch to sinvzen and spaceat2 [eientei]

-cage.cpp: Add partially support of variable sound output channels (#9105) [cam900]

New clones marked as NOT_WORKING
--------------------------------
Multi Win (Ver.0091, encrypted) [TeamEurope, Roberto Fresca]

New clones marked as NOT_WORKING
--------------------------------
Multi Win (EPM7032, encrypted) [Ioannis Bampoulas, Roberto Fresca]

New clones marked as NOT_WORKING
--------------------------------
Bad Lands (Modular System) [Eduardo Anay, ClawGrip]

-Multi Win Flags [Roberto Fresca]

-Multi Win (Ver.0091, encrypted): Dumped the CY7C291A from inside of the custom CPU. [TeamEurope]

-nes/bus: Minor cleanups for Taito boards. (#9607) [0kmg]
 * nes/bus: Minor cleanups for Taito boards.
   - Fixed address masks for TC0190FMC and X1-005, reflecting hardware pin connections.
   - Fixed off-by-one in TC0190FMC+PAL IRQ due to using two's complement instead of one's complement.
 * Fixed khstad88's release date.

-bus/nes: Corrected NOCASH_NOCHR homebrew board emulation. (#9611) [0kmg]

-ti99: Added the S0-triggered clock update to TMS9901. [Michael Zapf]

-exl100: fixed irq issue, most games do something now, some are playable. Keyboard issues are fixed. Cassette tested, working. Fixed
 exeltel crash. [Robbbert]

-nes.xml: Set correct board type for several more Chinese RPGs. (#9613) [0kmg]

New working software list additions (nes.xml)
---------------------------------------------
Tiějiǎ Tújí (China) [ZDog]
Xīnghé Zhànduì (China) [ZDog]

Software list items promoted to working (nes.xml)
-------------------------------------------------
Zhànshén Shìjiè (China) [kmg]
Jiànxiá Qíngyuán (China) [kmg]
Shénmó Dàlù (China) [kmg]
Kǒudài Guàishòu - Fěicuì Bǎn (China) [kmg]
Yǒngzhě Hēi'àn Shìjiè - Hùndùn De Shìjiè (China) [kmg]

-exl100: fixed problem with some keys not autorepeating. Fixed mistake with save-state. [Robbbert]

-evilngte: Fix crash at start [AJR]

-dc: Fix crash with no GD-ROM loaded [AJR]

-First part of April's Apple II software list updates. (#9489) [Firehawke]

Software list items promoted to working (apple2_flop_clcracked.xml)
-------------------------------------------------------------------
Choplifter [4am, Firehawke]

New working software list additions (apple2_flop_orig.xml)
----------------------------------------------------------
Copy II Plus (Version 9.0) [4am, Firehawke]
Copy II Plus (Version 8.4) [4am, Firehawke]
Copy II Plus (Version 9.1) [4am, Firehawke]
Copy II Plus (Version 8.1) (800K 3.5") [4am, Firehawke]
Copy II Plus (Version 8.2) (800K 3.5") [4am, Firehawke]
Copy II Plus (Version 8.3) (800K 3.5") [4am, Firehawke]
Locksmith (Version 5.0 Revision C) [4am, Firehawke]
Locksmith (Version 5.0 Revision F) [4am, Firehawke]
Locksmith (Version 5.0 Revision G) [4am, Firehawke]
Locksmith (Version 6.0 Revision A) [4am, Firehawke]
Copy II Plus (Version 8.4) (800K 3.5") [4am, Firehawke]
Locksmith (Version 6.0 Revision B) [4am, Firehawke]
Essential Data Duplicator (Version 3.0-1984-02-06) [4am, Firehawke]
Essential Data Duplicator (Version 3.0-1984-05-25) [4am, Firehawke]
Back It Up (Version 3.6) [4am, Firehawke]
Super Disk Copy (Version 3.6) [4am, Firehawke]
Copy II Plus (Version 3.1) [4am, Firehawke]
Copy II Plus (Version 4.1) [4am, Firehawke]
Copy II Plus (Version 4.3) [4am, Firehawke]
Copy II Plus (Version 4.4B) [4am, Firehawke]
Copy II Plus (Version 4.4C) [4am, Firehawke]
Copy II Plus (Version 9.0) (800K 3.5") [4am, Firehawke]
Copy II Plus (Version 4.4D) [4am, Firehawke]
Copy II Plus (Version 5.0) [4am, Firehawke]
Copy II Plus (Version 5.1) [4am, Firehawke]
Copy II Plus (Version 5.2) [4am, Firehawke]
Copy II Plus (Version 5.4) [4am, Firehawke]
Copy II Plus (Version 6.0) [4am, Firehawke]
Copy II Plus (Version 5.5) [4am, Firehawke]
Copy II Plus (Version 6.1) [4am, Firehawke]
Copy II Plus (Version 6.2) [4am, Firehawke]
Copy II Plus (Version 6.3) [4am, Firehawke]
Copy II Plus (Version 9.1) (800K 3.5") [4am, Firehawke]
Copy II Plus (Version 6.4) [4am, Firehawke]
Copy II Plus (Version 6.5) [4am, Firehawke]
Copy II Plus (Version 6.6) [4am, Firehawke]
Copy II Plus (Version 7.1) [4am, Firehawke]
Copy II Plus (Version 7.2) [4am, Firehawke]
Copy II Plus (Version 7.3) [4am, Firehawke]
Copy II Plus (Version 7.4) [4am, Firehawke]
Copy II Plus (Version 8.1) [4am, Firehawke]
Copy II Plus (Version 8.2) [4am, Firehawke]
Copy II Plus (Version 8.3) [4am, Firehawke]

New working software list additions (apple2_flop_clcracked.xml)
---------------------------------------------------------------
Descending/Ascending Intervals (cleanly cracked) [4am, Firehawke]
Functional Harmony: Secondary Dominants (cleanly cracked) [4am, Firehawke]
Keyboard Note Drill (cleanly cracked) [4am, Firehawke]
Melodic Dictation: Beginning Level (cleanly cracked) [4am, Firehawke]
Melodic Dictation: Intermediate Level (cleanly cracked) [4am, Firehawke]
Music Composer Quiz (cleanly cracked) [4am, Firehawke]
Music Terminology (cleanly cracked) [4am, Firehawke]
Tap-It (cleanly cracked) [4am, Firehawke]
Zoo Puppet Theater (cleanly cracked) [4am, Firehawke]

New working software list additions (apple2_flop_clcracked.xml)
---------------------------------------------------------------
Volcanoes (cleanly cracked) [4am, Firehawke]
Measuring Economic Activity (cleanly cracked) [4am, Firehawke]
Media Magic: The Melody Studio (cleanly cracked) [4am, Firehawke]
Time Explorers (cleanly cracked) [4am, Firehawke]
On Target: 3000 Words of German (cleanly cracked) [4am, Firehawke]

-Small metadata correction (squash this message out during merge) [Firehawke]

New working software list additions (apple2_flop_orig.xml)
----------------------------------------------------------
Bouncing Kamungas! [4am, Firehawke]
Pig Pen [4am, Firehawke]
Ricochet [4am, Firehawke]
Grey Seas, Grey Skies [4am, Firehawke]
World Class Leader Board [4am, Firehawke]

New working software list additions (apple2_flop_orig.xml)
----------------------------------------------------------
Columns //e (Version 2.01) [4am, Firehawke]
Wizardry: Proving Grounds of the Mad Overload (Version 05-SEP-81) [4am, Firehawke]
Wizardry: Proving Grounds of the Mad Overload (Version 01-DEC-81) [4am, Firehawke]

New working software list additions (apple2_flop_clcracked.xml)
---------------------------------------------------------------
Keyboard Fingerings (cleanly cracked) [4am, Firehawke]
Keyboard Intervals (cleanly cracked) [4am, Firehawke]
Keyboard Jazz Harmonies (cleanly cracked) [4am, Firehawke]
Keyboard Extended Jazz Harmonies (cleanly cracked) [4am, Firehawke]
Keyboard Speed Reading (cleanly cracked) [4am, Firehawke]
Musical Stairs (cleanly cracked) [4am, Firehawke]
Note Detective II: Intermediate Level (cleanly cracked) [4am, Firehawke]
Geography Search (cleanly cracked) [4am, Firehawke]
Cubes, Prisms, and Cylinders (cleanly cracked) [4am, Firehawke]
Early Music Skills (cleanly cracked) [4am, Firehawke]
Keyboard Arpeggios (cleanly cracked) [4am, Firehawke]
Keyboard Blues (cleanly cracked) [4am, Firehawke]
Keyboard Chords (cleanly cracked) [4am, Firehawke]

-krz2000.cpp, vigilant.cpp: Clean-up, no functional changes. [Vas Crabb]

-g65816: properly calculate page crossing penalty cycle for ,Y addressing modes. [R. Belmont, O. Galibert]

New machines marked as NOT_WORKING
----------------------------------
Unknown darts game (487 System I) [Victor Fernandez (City Game)]

-exl100: improved keyboard layout [Robbbert]

-exl100: fixed a note [Robbbert]

-srcclean in preparation for 0.243 [Vas Crabb]

-exl100: the amateur lawyers didn't like the license. [Robbbert]

-nes.xml: Fixed a few more mirroring issues. Demoted strikwlf. (#9617) [0kmg]

-mjtensin, mjvegas, mjvegasa: Fix memory_bank::set_entry exception in debug build [AJR]

-ympsr60.cpp: Initialise interrupt states on start. [Vas Crabb]

-slapfight_ms.cpp: Fix out-of-range access warning in some GCC versions. [Vas Crabb]
 * The implicit conversion from size_t to int could theoretically produce a negative value, which triggered a warning on the memcpy.

-68340tmu.cpp: fix potential crash on mode logging [Angelo Salese]

-osborne1.cpp: revert floppy device back to SSDD (#9625) [theoldsport]
 * Partially reverts an old commit from @Robbbert (https://github.com/mamedev/mame/commit/247939853301565efd348cad12b04fc957707bc2)
    where the floppy device was (mistakenly?) set to FLOPPY_525_QD (quad density) from FLOPPY_525_SSDD (single-sided
    double-density).
 * As far as I am aware, the Osborne1 only supported SSSD and SSDD disks. Revert appears to resolve known Osborne1 issues
    [5792](https://mametesters.org/view.php?id=5792) (thanks to @Osso13 for pointing this out) and
    [8100](https://mametesters.org/view.php?id=8100) @cuavas.

-mips3drc: Moved unchanging conditionals outside for loop in generate_checksum_block; 7% faster. [Ryan Holtz] (#9626) [MooglyGuy]

-jaguarcd: fix nodisc crash again [hap]

-cat702: init 2 more variables [hap]

-Init cleanups and gnet fix [Olivier Galibert]

-Addressed performance loss from recent z80scc changes (#9629) [Ryan Holtz]
 * z80scc: Removed unused Z80SCC_USE_LOCAL_BRG and simplified WR15_ZEROCOUNT usage to reduce the likelihood of needless timer
    activation.
 * mips3drc: Additional micro-optimizations to generate_checksum_block.

-Fixed crashes on start in ZX Spectrum clones and NWK-TR games. [Vas Crabb]

-iwm: Do a complete clock change on sync write for better flux change time precision iwm: Increate the flux write buffer size for
 better performance (complete sector write in a single call) 2gs: Correct the q3 clock value, making (sync) writes reliable
 [Olivier Galibert]

-Clean up some metadata [Vas Crabb]
